# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/5/18
import time

import requests

from main.common import Common
from main.feishu_lib import Feishu


class Person:
    # 个人作品列表页
    @classmethod
    def get_person_list(cls):
        try:
            if len(Feishu.get_values_batch("oNpThi")) == 1:
                print(len(Feishu.get_values_batch("oNpThi")))
                print(Feishu.get_values_batch("oNpThi"))
                Common.person_logger().info("暂无定向爬取账号")
            else:
                for i in range(1, len(Feishu.get_values_batch("oNpThi"))+1):
                    time.sleep(1)
                    Common.person_logger().info("")

                    url = "https://api.xiaoniangao.cn/profile/list_album"
                    headers = {
                        "X-Mid": "1164637358",
                        "X-Token-Id": "af9c47bb6c942236ff35ee10d355f3b0-1164637358",
                        "content-type": "application/json",
                        "uuid": "3d460a1b-ab85-426b-bd80-62029acaa2c0",
                        "Accept-Encoding": "gzip,compress,br,deflate",
                        "User-Agent": "Mozilla/5.0 (iPhone; CPU iPhone OS 14_7_1 like Mac OS X)"
                                      " AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 "
                                      "MicroMessenger/8.0.20(0x18001435) NetType/WIFI Language/zh_CN",
                        "Referer": "https://servicewechat.com/wxd7911e4c177690e4/617/page-frame.html"
                    }
                    data = {
                        "visited_mid": "260159327",
                        "qs": "imageMogr2/gravity/center/rotate/$/thumbnail/!690x385r/crop/690x385/interlace/1/format/jpg",
                        "h_qs": "imageMogr2/gravity/center/rotate/$/thumbnail/!120x120r/crop/120x120/interlace/1/format/jpg",
                        "limit": 20,
                        "token": "451273638af2c8bb90266bcfaf601a68",
                        "uid": "3d460a1b-ab85-426b-bd80-62029acaa2c0",
                        "proj": "ma",
                        "wx_ver": "8.0.20",
                        "code_ver": "3.62.0",
                        "log_common_params": {
                            "e": [{
                                "data": {
                                    "page": "profilePage",
                                    "topic": "public"
                                }
                            }],
                            "ext": {
                                "brand": "iPhone",
                                "device": "iPhone 11",
                                "os": "iOS 14.7.1",
                                "weixinver": "8.0.20",
                                "srcver": "2.24.2",
                                "net": "wifi",
                                "scene": "1089"
                            },
                            "pj": "1",
                            "pf": "2",
                            "session_id": "ba9b042f-5150-4c3e-a5da-b2fc4181b954"
                        }
                    }
                    r = requests.post(url=url, headers=headers, json=data)
                    feeds = r.json()["data"]["list"]
                    # for i in feeds:
                    #     print(i)
                    values = [["111", "222", "333", "444"]]
                    Feishu.update_hour_list_values("yatRv2", "A4:D4", values)
        except Exception as e:
            Common.person_logger().info("个人作品列表页异常:{}", e)


if __name__ == "__main__":
    person = Person()
    person.get_person_list()
